### Virtual Method

# Gcr SecretExchange generate_exchange_key

#### Declaration [src]

    gboolean
    generate_exchange_key (
      GcrSecretExchange* exchange,
      const gchar* scheme,
      guchar** public_key,
      gsize* n_public_key
    )

#### Description

No description available.

#### Parameters

`scheme` | `const gchar*`
| No description available.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`public_key` | `guchar**`
| No description available.
| The data is owned by the caller of the function.
`n_public_key` | `gsize*`
| No description available.
| The data is owned by the caller of the function.

#### Return value

Returns: | `gboolean`
| No description available.